package com.qmth.teachcloud.mark.bean.archivescore;

import com.qmth.teachcloud.mark.utils.PagerQuery;

import javax.validation.constraints.NotNull;

public class ArchiveStudentQuery extends PagerQuery {
    @NotNull(message = "考试Id不能为空")
    private Long examId;
    @NotNull(message = "paperNumber不能为空")
    private String paperNumber;
    private String college;
    private String majorName;
    private String className;
    private String studentName;
    private String studentCode;
    // 学号区间开始
    private String startStudentCode;
    // 学号区间结束
    private String endStudentCode;
    // 成绩区间开始
    private Double startScore;
    // 成绩区间结束
    private Double endScore;

    // 客观题成绩区间开始
    private Double objectiveStartScore;
    // 客观题成绩区间结束
    private Double objectiveEndScore;
    // 主观题成绩区间开始
    private Double subjectiveStartScore;
    // 主观题成绩区间结束
    private Double subjectiveEndScore;

    private String orderType;
    private String orderField;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getCollege() {
        return college;
    }

    public void setCollege(String college) {
        this.college = college;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getStartStudentCode() {
        return startStudentCode;
    }

    public void setStartStudentCode(String startStudentCode) {
        this.startStudentCode = startStudentCode;
    }

    public String getEndStudentCode() {
        return endStudentCode;
    }

    public void setEndStudentCode(String endStudentCode) {
        this.endStudentCode = endStudentCode;
    }

    public Double getStartScore() {
        return startScore;
    }

    public void setStartScore(Double startScore) {
        this.startScore = startScore;
    }

    public Double getEndScore() {
        return endScore;
    }

    public void setEndScore(Double endScore) {
        this.endScore = endScore;
    }

    public Double getObjectiveStartScore() {
        return objectiveStartScore;
    }

    public void setObjectiveStartScore(Double objectiveStartScore) {
        this.objectiveStartScore = objectiveStartScore;
    }

    public Double getObjectiveEndScore() {
        return objectiveEndScore;
    }

    public void setObjectiveEndScore(Double objectiveEndScore) {
        this.objectiveEndScore = objectiveEndScore;
    }

    public Double getSubjectiveStartScore() {
        return subjectiveStartScore;
    }

    public void setSubjectiveStartScore(Double subjectiveStartScore) {
        this.subjectiveStartScore = subjectiveStartScore;
    }

    public Double getSubjectiveEndScore() {
        return subjectiveEndScore;
    }

    public void setSubjectiveEndScore(Double subjectiveEndScore) {
        this.subjectiveEndScore = subjectiveEndScore;
    }

    public String getOrderType() {
		return orderType;
	}

	public void setOrderType(String orderType) {
		this.orderType = orderType;
	}

	public String getOrderField() {
		return orderField;
	}

	public void setOrderField(String orderField) {
		this.orderField = orderField;
	}
}
